aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkballou <kballou@devnulllabs.io>2016-08-30 11:03:53 -0600
committerkballou <kballou@devnulllabs.io>2016-08-30 11:17:01 -0600
commitbd25a5bf4ea32de08c42c798a9277c3e20c0533a (patch)
treec72b1c9070292a46819f0e05278b33be7916d607
parentec9adad10dfc18cfac416c41a0fd7e65b66ae51d (diff)
downloadbugwarrior-bd25a5bf4ea32de08c42c798a9277c3e20c0533a.tar.gz
bugwarrior-bd25a5bf4ea32de08c42c798a9277c3e20c0533a.tar.xz
Add kitchen ebuild
-rw-r--r--dev-python/kitchen/Manifest1
-rw-r--r--dev-python/kitchen/kitchen-1.2.4.ebuild27
-rw-r--r--dev-python/kitchen/metadata.xml15
3 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/kitchen/Manifest b/dev-python/kitchen/Manifest
new file mode 100644
index 0000000..f11e89d
--- /dev/null
+++ b/dev-python/kitchen/Manifest
@@ -0,0 +1 @@
+DIST kitchen-1.2.4.tar.gz 187149 SHA256 38f73d844532dba7b8cce170e6eb032fc07d0d04a07670e1af754bd4c91dfb3d SHA512 790f7eaa16820d3b12f740d2ac7c9d849d40eea91527b7fc011270bd46af5038e987cc1b170c75c2175dc627f99a52bde52b9f276db8dac5d9d7df59ef9a505d WHIRLPOOL d9864ac07bb391df82049ffcd98f82a2013f6f28056ab19a7d17c59c8c345b64a0090eeac197313930391547f12412a68d1c794690798b4c434a840c5fb685a0
diff --git a/dev-python/kitchen/kitchen-1.2.4.ebuild b/dev-python/kitchen/kitchen-1.2.4.ebuild
new file mode 100644
index 0000000..8363fdd
--- /dev/null
+++ b/dev-python/kitchen/kitchen-1.2.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2016 Kenny Ballou
+# Distributed under the terms of the GNU General Public License v3
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=(python2_7 python3_{3,4})
+
+inherit distutils-r1
+
+MY_P=${PN}_${PV}
+
+DESCRIPTION="Kitchen contains a cornucopia of useful code"
+HOMEPAGE="https://fedorahosted.org/kitchen/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ nosetests || die
+}
diff --git a/dev-python/kitchen/metadata.xml b/dev-python/kitchen/metadata.xml
new file mode 100644
index 0000000..e03c2dc
--- /dev/null
+++ b/dev-python/kitchen/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>kballou@devnulllabs.io</email>
+ <name>Kenny Ballou</name>
+ </maintainer>
+ <longdescription lang="en">
+ Kitchen contains a cornucopia of useful code
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">kitchen</remote-id>
+ <remote-id type="github">fedora-infra/kitchen</remote-id>
+ </upstream>
+</pkgmetadata>